> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/private-connect/modifyprivateconnectbandwidth.md).

# ModifyPrivateConnectBandwidth

## 1. API Description

This API (ModifyPrivateConnectBandwidth) is used to modify Private Connect Bandwidth

{% hint style="info" %}
**Notes**

* Bandwidth limit changes can only be made when the Private Connect status is **AVAILABLE**.
* This is an asynchronous API, so the bandwidth change is not completed immediately. During this period the instance status will be **UPDATING**. The result can be checked by calling the [`DescribePrivateConnects`](/api-reference/networking/sdn/private-connect/describeprivateconnects.md) API -- if the status (privateConnectStatus) changes from **UPDATING** (modifying) to **AVAILABLE**, the bandwidth was updated successfully.
* Do not perform any other operation on the Private Connect while the bandwidth change is in progress.
* If the Private Connect's access point is a Cloud Connect, and the Cloud Connect has not had a custom bandwidth limit set, this operation automatically sets the Cloud Connect's bandwidth limit to the bandwidth tier closest to the Private Connect's backbone bandwidth limit. You can customize the Cloud Connect's bandwidth limit via [`ModifyCloudBandwidth`](https://github.com/zenlayer/zenlayercloud-api-doc-en/tree/main/sdn/cloud/modifycloudbandwidth.md).
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type    | Description                                                             |
| ---------------- | -------- | ------- | ----------------------------------------------------------------------- |
| privateConnectId | Yes      | String  | Private Connect ID.                                                     |
| bandwidthMbps    | Yes      | Integer | <p>The bandwidth limit to set, in Mbps.</p><p>Value range: \[10, +)</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Modify the Private Connect bandwidth to 100 Mbps.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyPrivateConnectBandwidth
<Common Request Params>

Request:
{
    "privateConnectId": "your-private-connect-id",
    "bandwidthMbps": 100
}

Response:
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
